import { Drag } from 'tde-dragdrop';
export declare function renderSelection(r1: number, r2: number, c1: number, c2: number, x: number, y: number, boundingRegion?: IBoundingRegion | null, type?: 'line' | 'shadow'): BoundedDrag;
export declare class BoundedDrag extends Drag {
    private _mouseOffsetX;
    private _mouseOffsetY;
    private _initializing;
    constructor(options: BoundedDrag.IOptions);
    moveDragImage(clientX: number, clientY: number): void;
    bound(x: number, y: number): Array<number>;
    manualPositionUpdate(xLocation: number, yLocation: number): void;
    private _boundingRegion;
}
export interface IBoundingRegion {
    upperBound: number;
    lowerBound: number;
    leftBound: number;
    rightBound: number;
}
export declare namespace BoundedDrag {
    interface IOptions extends Drag.IOptions {
        boundingRegion: IBoundingRegion;
        mouseOffsetX: number;
        mouseOffsetY: number;
    }
}
